Your message dated Wed, 03 Aug 2016 18:26:27 +0000
with message-id <e1bv0s7-0002jz...@franck.debian.org>
and subject line Bug#773805: fixed in lucene4.10 4.10.4+dfsg-2
has caused the Debian Bug report #773805,
regarding liblucene4-java: Incomplete poms installed in /usr/share/maven-repo
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
773805: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=773805
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: liblucene4-java
Version: 1:4.6.1+dfsg-2
Severity: serious

The liblucene4-java package installs dummy pom.xml files in 
/usr/share/maven-repo
which are missing important information to be usable by other packages.

For example the pom.xml for lucene-core is reduced to:

  <?xml version="1.0" encoding="UTF-8"?>
  <project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 
http://maven.apache.org/xsd/maven-4.0.0.xsd";
      xmlns="http://maven.apache.org/POM/4.0.0";
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance";>
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.apache.lucene</groupId>
    <artifactId>lucene-core</artifactId>
    <version>4.x</version>
    <description>dummy POM</description>
    <packaging>jar</packaging>
  </project>

It is missing the debian.package property required by maven-debian-helper to 
resolve the dependencies properly.

The Maven dependencies are also missing, lucene-expressions should declare a 
dependency on asm for example.

--- End Message ---
--- Begin Message ---
Source: lucene4.10
Source-Version: 4.10.4+dfsg-2

We believe that the bug you reported is fixed in the latest version of
lucene4.10, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 773...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebo...@apache.org> (supplier of updated lucene4.10 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 03 Aug 2016 18:55:52 +0200
Source: lucene4.10
Binary: liblucene4.10-java
Architecture: source all
Version: 4.10.4+dfsg-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebo...@apache.org>
Description:
 liblucene4.10-java - Full-text search engine library for Java(TM)
Closes: 773805 822843
Changes:
 lucene4.10 (4.10.4+dfsg-2) unstable; urgency=medium
 .
   * Team upload.
   * Added an explicit dependency on hamcrest to avoid a build failure
     in test-framework (Closes: #822843)
   * Install the real poms in the package (Closes: #773805)
   * Build with ivy-debian-helper
   * Depend on libasm-java (>= 5.0) instead of libasm4-java
   * Fixed a build failure caused by the removal of libservlet2.5-java
   * Standards-Version updated to 3.9.8 (no changes)
   * Use canonical URLs for the Vcs-* fields
   * debian/copyright: Fixed a non unique license name
Checksums-Sha1:
 ab908d0d1d784582a5826ac4c0e55f85f98b3544 2504 lucene4.10_4.10.4+dfsg-2.dsc
 fa80a7240cc3964ad2477f3728354d25f4c03cf4 21628 
lucene4.10_4.10.4+dfsg-2.debian.tar.xz
 f17fd53666f7998bbe934d35d0a02ae815436341 21238350 
liblucene4.10-java_4.10.4+dfsg-2_all.deb
Checksums-Sha256:
 25a2d32a1c482b504baa7c3df657c0876f7c1db99127f2b6a442cd07e0d727d1 2504 
lucene4.10_4.10.4+dfsg-2.dsc
 28cb0be41bab47a56ec94dc6541bf6d88673be3b56b829a38d1fd780e821dedd 21628 
lucene4.10_4.10.4+dfsg-2.debian.tar.xz
 37c7ce6d80b513832733c8bb95e492776dd5a42e816eca6f6583f030481afd88 21238350 
liblucene4.10-java_4.10.4+dfsg-2_all.deb
Files:
 bba75cbafd7bf23697e731dd0525b847 2504 java extra lucene4.10_4.10.4+dfsg-2.dsc
 9b97ea56396e5dd6ead68c651d0ffa73 21628 java extra 
lucene4.10_4.10.4+dfsg-2.debian.tar.xz
 367e9e1670b8551e4269f6667db5d301 21238350 java extra 
liblucene4.10-java_4.10.4+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJXoixYAAoJEPUTxBnkudCskGAP/iYSFyKWkqcNXQW5G6hLoYup
2j320H0+OdMPUNaoO84GoktKngsuFf3vBdHT4waTul3l4AfwH+auLvwdhvBALp5l
CVhgh+k2ru3ccMsaDogcdXJIv1FuvAYsbgASDG8sMi74sY/A1x/hlzG0JXjVfgny
8sNVPvg3Itp04v1/i9qbGV2HlUTBgJF8Rz2pkc/CSajcXM3Np4UQFLszX82D+A+4
mh4BitMZ1Al/r9ayuSY4bj7YJwORDphy9ODONBe+BMO5W0eHoeraAsSJ0yNmjNKr
J9iAYv7/dhOSI8thZB1aGiHY9zXq4tsiaOp6KQE9Lr3AWN1eRS/PXZ20UfutjM4I
CtIZOTRVZnK8EH8HGjC4MJZSZkIQHWKBea8xlAqywQFz2u5Q2POiZCf57LLrxjeN
7vZf7KzI7TEdRywh/J6cHWvS6cfAVsEIM+yGP7h0O2kftEWIADbRd8bVTuB46jci
kQQBHUj8E33eO2CACTDJdDOIc7zTEpU4ALyApt5AkJFncK6SoDNGJTV6+Kb/rPjj
lrh5WwAwfrZgpbWeOgaLjlIrOuIsrBZHo2XsVA7thPy82VjXR8LAgIi5HFuWjqlS
qHt8zXD67KW6vuLi5X0DV5Insh4fckjEcoiUwC/eD/6FUHLoV0PAgZHFUfDk/GLc
E4vmEB1kmltv07Josktg
=HxKl
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to